## libjlatexmath-java 1.0.7

=== jlatexmath-example-giws/Makefile ===
SHELL = /bin/sh

JAVA_HOME=/usr/lib/jvm/java-6-openjdk-amd64

#
# C++ compiler options
# 
CC = g++
CFLAGS = -g
INCLUDES = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux 
LIBS = -ljvm -L$(JAVA_HOME)/jre/lib/amd64 -L$(JAVA_HOME)/jre/lib/amd64/server/

#
# Ant
#
ANT = ant

#
# GIWS options
#
GIWS = giws
GFLAGS = -e -r -g
GIWS_OUTPUT = giws

#
# GIWS PROJECT INFORMATIONS 
#
OBJECT_NAME  = LaTeXGenerator
BINARY       = latex
PACKAGE      = GiwsExample.jar
MAIN         = latex.cpp

GIWS_CPP_FILE  = $(addprefix $(GIWS_OUTPUT)/, $(OBJECT_NAME).cpp GiwsException.cpp) 
GIWS_DESC_FILE = $(OBJECT_NAME).giws.xml

all: $(BINARY)

$(PACKAGE):
	ant

# build output binary
$(BINARY): $(GIWS_CPP_FILE) $(PACKAGE)
	$(CC) $(GIWS_CPP_FILE) $(MAIN) $(CFLAGS) $(LIBS) $(INCLUDES) -I$(GIWS_OUTPUT) -o $(BINARY)
	@if test $(MAKELEVEL) -eq 0; then \
		echo "==========================================================================="; \
		echo "Dont forget to set library path before running the program:"; \
		echo "# export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(JAVA_HOME)/jre/lib/amd64/server/"; \
		echo "==========================================================================="; \
	fi	


# run giws to generate cpp code
$(GIWS_CPP_FILE):
	mkdir -p $(GIWS_OUTPUT)
	$(GIWS) -f $(GIWS_DESC_FILE) $(GFLAGS) -o $(GIWS_OUTPUT)

# Generate jar
$(PACKAGE):
	ant

# cleanup giws generated files (cpp/hxx, bin) and .class
clean:
	rm -fr $(GIWS_OUTPUT) $(BINARY)
	ant clean

## libjlatexmath-java 0.9.4

=== debian/changelog ===
libjlatexmath-java (0.9.4-3) unstable; urgency=low

  * watch file updated
  * Repack script added
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 08 Feb 2011 14:04:38 +0100

libjlatexmath-java (0.9.4-2) unstable; urgency=low

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 06 Feb 2011 15:32:30 +0100

libjlatexmath-java (0.9.4-1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 03 Feb 2011 10:30:44 +0100

libjlatexmath-java (0.9.3-1) experimental; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Sep 2010 13:44:53 +0200

libjlatexmath-java (0.8.9-1) unstable; urgency=low

  * New upstream release
  * This release introduces a new package (a jlatexmath plugin for fop)
  * Standards-Version updated to version 3.8.4
  * enableJavaDoc.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 12 Feb 2010 11:19:24 +0100

libjlatexmath-java (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Update of the Homepage field.
  * Repacking script removed
  * watch file desactivated for now
  * enableJavaDoc.diff applied upstream

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 23 Dec 2009 15:50:24 +0100

libjlatexmath-java (0.5-1) unstable; urgency=low

  * Initial Release (Closes: #554868)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Sep 2009 11:14:53 +0200

=== debian/control ===
Source: libjlatexmath-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk, fop
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libjlatexmath
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libjlatexmath
Homepage: http://forge.scilab.org/index.php/p/jlatexmath/

Package: libjlatexmath-java
Architecture: all
Section: java
Priority: optional
Depends: default-jre-headless | java2-runtime-headless, ${misc:Depends}
Suggests: libjlatexmath-java-doc
Description: Implementation of LaTeX math mode wrote in Java
 JLaTeXmath library provides a set of Java classes for displaying (complex)
 mathematical formulas as part of a Java application. Some use cases are:
  - Displaying text with embedded formulas (in an editor pane, a JavaHelp
    page, ...)
  - Make a combo box which provides the user with a choice between various 
    formulas.
  - Have a slider with ticks that display their values not as decimal numbers,
    but as exact values, e.g., fractions, square roots or any combination of
    these.
  - Display the formula together with the graph of a function.

Package: libjlatexmath-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Priority: optional
Suggests: libjlatexmath
Description: Implementation of LaTeX math mode wrote in Java
 JLaTeXmath library provides a set of Java classes for displaying (complex)
 mathematical formulas as part of a Java application. Some use cases are:
  - Displaying text with embedded formulas (in an editor pane, a JavaHelp
    page, ...)
  - Make a combo box which provides the user with a choice between various 
    formulas.
  - Have a slider with ticks that display their values not as decimal numbers,
    but as exact values, e.g., fractions, square roots or any combination of
    these.
  - Display the formula together with the graph of a function.
 .
 This package contains the Javadoc API documentation.


Package: libjlatexmath-fop-java
Architecture: all
Section: java
Depends: ${misc:Depends}, fop (>= 0.95), libjlatexmath-java
Suggests: libjlatexmath-java-doc
Priority: optional
Description: Implementation of LaTeX math mode wrote in Java (fop plugin)
 JLaTeXmath library provides a set of Java classes for displaying (complex)
 mathematical formulas as part of a Java application. Some use cases are:
  - Displaying text with embedded formulas (in an editor pane, a JavaHelp
    page, ...)
  - Make a combo box which provides the user with a choice between various 
    formulas.
  - Have a slider with ticks that display their values not as decimal numbers,
    but as exact values, e.g., fractions, square roots or any combination of
    these.
  - Display the formula together with the graph of a function.
 .
  This package contains the fop plugin.

## libjlatexmath-java 0.9.6

=== debian/changelog ===
libjlatexmath-java (0.9.6-2) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Also compile class WebStartAlphabetRegistration.

  [ Sylvestre Ledru ]
  * debian-rules-uses-deprecated-makefile fixed

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Dec 2011 21:30:51 +0100

libjlatexmath-java (0.9.6-1) unstable; urgency=low

  * New upstream release
  * classpathManifest.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 May 2011 19:57:45 +0200

libjlatexmath-java (0.9.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version updated to version 3.9.2
  * needless-dependency-on-jre fixed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 07 May 2011 23:33:40 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk, fop
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libjlatexmath
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libjlatexmath
 Homepage: http://forge.scilab.org/index.php/p/jlatexmath/
@@ -13,7 +13,7 @@
 Architecture: all
 Section: java
 Priority: optional
-Depends: default-jre-headless | java2-runtime-headless, ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: libjlatexmath-java-doc
 Description: Implementation of LaTeX math mode wrote in Java
  JLaTeXmath library provides a set of Java classes for displaying (complex)

## libjlatexmath-java 0.9.7

=== debian/changelog ===
libjlatexmath-java (0.9.7-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 19 Dec 2011 22:24:07 +0100

## libjlatexmath-java 1.0.0

=== debian/changelog ===
libjlatexmath-java (1.0.0-1~exp1) experimental; urgency=low

  * New upstream release
  * Standards-Version updated to 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Sep 2012 16:50:24 +0200

## libjlatexmath-java 1.0.2

=== debian/changelog ===
libjlatexmath-java (1.0.2-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Apr 2013 07:58:47 +0200

libjlatexmath-java (1.0.1-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 25 Feb 2013 15:30:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk, fop
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libjlatexmath
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libjlatexmath
 Homepage: http://forge.scilab.org/index.php/p/jlatexmath/

## libjlatexmath-java 1.0.3

=== debian/changelog ===
libjlatexmath-java (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version updated to 3.9.5

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 09 Feb 2014 19:28:59 +0100

libjlatexmath-java (1.0.2-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 27 May 2013 14:24:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, ant, default-jdk, fop
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libjlatexmath
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libjlatexmath
+Standards-Version: 3.9.5
+Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libjlatexmath-java
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libjlatexmath-java
 Homepage: http://forge.scilab.org/index.php/p/jlatexmath/
 
 Package: libjlatexmath-java
@@ -20,7 +20,7 @@
  mathematical formulas as part of a Java application. Some use cases are:
   - Displaying text with embedded formulas (in an editor pane, a JavaHelp
     page, ...)
-  - Make a combo box which provides the user with a choice between various 
+  - Make a combo box which provides the user with a choice between various
     formulas.
   - Have a slider with ticks that display their values not as decimal numbers,
     but as exact values, e.g., fractions, square roots or any combination of
@@ -38,7 +38,7 @@
  mathematical formulas as part of a Java application. Some use cases are:
   - Displaying text with embedded formulas (in an editor pane, a JavaHelp
     page, ...)
-  - Make a combo box which provides the user with a choice between various 
+  - Make a combo box which provides the user with a choice between various
     formulas.
   - Have a slider with ticks that display their values not as decimal numbers,
     but as exact values, e.g., fractions, square roots or any combination of
@@ -59,7 +59,7 @@
  mathematical formulas as part of a Java application. Some use cases are:
   - Displaying text with embedded formulas (in an editor pane, a JavaHelp
     page, ...)
-  - Make a combo box which provides the user with a choice between various 
+  - Make a combo box which provides the user with a choice between various
     formulas.
   - Have a slider with ticks that display their values not as decimal numbers,
     but as exact values, e.g., fractions, square roots or any combination of

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for libjlatexmath-java (uses CDBS)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

DEB_ANT_BUILD_TARGET := buildJar plugin doc 
BUILDDIR=dist
JAVA_HOME := /usr/lib/jvm/default-java
ANT_PROPS=debian/ant.properties

install/libjlatexmath-java::
	install -m 644 -D $(BUILDDIR)/jlatexmath-$(DEB_UPSTREAM_VERSION).jar debian/libjlatexmath-java/usr/share/java/jlatexmath-$(DEB_UPSTREAM_VERSION).jar
	ln -s jlatexmath-$(DEB_UPSTREAM_VERSION).jar debian/libjlatexmath-java/usr/share/java/jlatexmath.jar


install/libjlatexmath-fop-java::
	install -m 644 -D $(BUILDDIR)/jlatexmath-fop-$(DEB_UPSTREAM_VERSION).jar debian/libjlatexmath-fop-java/usr/share/java/jlatexmath-fop-$(DEB_UPSTREAM_VERSION).jar
	ln -s jlatexmath-fop-$(DEB_UPSTREAM_VERSION).jar debian/libjlatexmath-fop-java/usr/share/java/jlatexmath-plugin-fop.jar
	ln -s jlatexmath-fop-$(DEB_UPSTREAM_VERSION).jar debian/libjlatexmath-fop-java/usr/share/java/jlatexmath-fop.jar

=== debian/watch ===
version=3
http://forge.scilab.org/index.php/p/jlatexmath/downloads/direct/ \
.*/jlatexmath-src-all-(.*).zip debian debian/orig-tar.sh

## libjlatexmath-java 1.0.7

=== debian/changelog ===
libjlatexmath-java (1.0.7-4) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 21:03:05 +0200

libjlatexmath-java (1.0.7-3) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Add junit4 to build-deps (Closes: #915891)

  [ Emmanuel Bourg ]
  * Removed the get-orig-source target in debian/rules

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 13 Dec 2018 16:10:25 +0100

libjlatexmath-java (1.0.7-2) unstable; urgency=medium

  * Team upload.
  * Point Vcs-fields to Java team to match Maintainer team
  * debhelper 11
  * cme fix dpkg-control
  * Standards-Version: 4.2.1
  * Depends: ${java:Depends}

 -- Andreas Tille <tille@debian.org>  Tue, 25 Sep 2018 08:28:11 +0200

libjlatexmath-java (1.0.7-1) unstable; urgency=medium

  [ Felix Natter ]
  * Moved the package to Git

  [ Sylvestre Ledru ]
  * New upstream release (and imported in the git repo)
  * Package moved to salsa
  * Standards-Version: 4.1.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Apr 2018 08:28:25 +0200

libjlatexmath-java (1.0.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.1
  * Update the homepage
  * Move to maven
  * Disable the generation of doc package

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Oct 2017 19:42:46 +0100

=== debian/watch ===
version=3
https://github.com/opencollab/jlatexmath/tags .*/(?:.*?)([\d\.]+)\.tar\.gz
